/*
 * detail JavaScript
 * write by liulei 20150901
 */

 //调整ios样式
//  (function (doc, win) {
// 	var docEl = doc.documentElement,
// 	isIOS = navigator.userAgent.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/);
// 	dpr = isIOS ? Math.min(win.devicePixelRatio,3) : 1,
// 	dpr = window.top === window.self ? dpr : 1,//被iframe引用时，禁止缩放
// 	resizeEvt = 'orientationchange' in window ? 'orientationchange' : 'resize',
// 	docEl.dataset.dpr=dpr;
// 	var recalc = function (){
// 	  	var width = docEl.clientWidth;
// 	  	if(width / dpr >375){
// 	  		width=375 * dpr;
// 	  	}
// 	  	docEl.dataset.width=width;
// 		docEl.dataset.percent = 100 * (width / 375);
// 		docEl.style.fontSize = 100 * (width / 375) + 'px';
// 	}
//     recalc()
//     if(!doc.addEventListener) return;
//     win.addEventListener(resizeEvt,recalc,false);
// })(document,window);
 

//阻止浏览器的默认行为
function stopDefault( e ) {
    //阻止默认浏览器动作(W3C)
    if ( e && e.preventDefault )
        e.preventDefault();
    //IE中阻止函数器默认动作的方式
    else
        window.event.returnValue = false;
    return false;
}

//判断数据是否为真
function isDataTrue(data){
	var flag = false;
    if(typeof(data)!= "undefined" && data!=null){
		flag = true;
	}
	return flag;
}

//数字格式化
function formatNumber(num) {
	var num = parseInt(num);
    if(num+"" == "NaN") {
        return 0;
    }
    if(num >= 1000000 && num < 100000000) {
        return parseInt(num/10000)+"万";
    }
    else if(num >= 100000000) {
        return "过亿";
    }
    else {
        return num;
    }
}

//图片加载器
function ImgLoader(a) {
	  function b(a, b, c) {
		var d = new Image;
		d.onload = b, d.onerror = c, d.src = a, j[a] = d
	  }
	  function c() {
		var a = this.getAttribute("src");
		j[a].loaded = !0, h++, h + i == g ? "function" == typeof e && e(g, h, i) : "function" == typeof f && f(g, h, i)
	  }
	  function d() {
		var a = this.getAttribute("src");
		j[a].loaded = !1, i++, h + i == g ? "function" == typeof e && e(g, h, i) : "function" == typeof f && f(g, h, i)
	  }
	  var e, f, g, h = 0,
		  i = 0,
		  j = {},
		  k = {},
		  l = [];
	  "string" == typeof a ? (g = 1, l[0] = a) : (g = a.length, l = a), this.assets = j, this.asset = k, this.completed = function(a) {
		e = a
	  }, this.progress = function(a) {
		f = a
	  }, this.start = function() {
		for (var a = 0; g > a; a++) b(l[a], c, d);
		return j
	  }
	}
		
/*调试时使用start*/
$(document).ready(function(){
    //docready(); //调试用，正式的时候注释掉
});

function docready(){
    var addData = {
	//	survey_id:'12|10##11',
		survey_id:'12|10##11', //已投票过的调查的id串，分号分隔
		praise:"465", //评论被赞过的id串，逗号分隔
		ask_praised: "11841,11858", //已经被顶过的问的id串，逗号分隔
		//ask_focused: "11858,12121", //已经被关注过得问的id串，逗号分隔
		ask_status: "0", //问状态
		isSubscribed:false,//是否已订阅-改
		paraisArticle:false,//文章是否已点赞|问话题是否被顶过
		praise_num:1, //文章/帮点赞数
		webInOs:0, //IOS-1,ANDDORID-2
		isFromInstitutionDetail:false, //是否来自于政务页面，以决定是否显示订阅按钮
		imgLoadEnble:false,
		fontSize:3,//字号
		isWifi:true,//是否在wifi情况下，true为是，false为流量情况下
		isComContent:"true"//是否显示机构用户内容页或普通用户内容页，true为普通用户内容页，false为机构用户内容页
    }
	
	window.pageData = {pageType:'normal'}
	
	if('pageType' in pageData){
		switch (pageData.pageType)
		{
			case 'ask_topic': //问话题页
				ask_topiclR();
				break;
			case 'ask_detail': //问详情页
				ask_detailR();
				break;
			case 'comment': //评论页
				commentR(); 
				break;
			default:
				indexR();
		}
	}
	
	function ask_detailR(){  //加载问详情页数据
		$.ajax({
			type : "GET",
			cache:false,
			url : "../test/json/ask_detail.json",
			dataTyp:"json",
            success : function (json) {
	            if(typeof(json)=="string"){
					var json = JSON.parse(json).data;
			   	}else{
					var json = json.data;
			    }
				indexRender.render.askDetail(json,addData); 
	           // indexRender.init(json,addData); 
           	}
        });

		$.ajax({
			type: "GET",
			cache:false,
			url : "../test/json/ask_detail_related.json",
			dataTyp:"json",
            success : function (json) {
	            if(typeof(json)=="string"){
					var json = JSON.parse(json).data;
			   	}else{
					var json = json.data;
			    }
	            indexRender.renderAskDetailRelated(json);
           	}
		});
		
		$.ajax({
			type : "GET",
			cache:false,
			url : "../test/json/comment-1209.json",
			dataTyp:"json",
            success : function (json) {
            	if(typeof(json)=="string"){
					var json = JSON.parse(json).data;
		   		}else{
					var json = json.data;
		   		}
            	indexRender.renderComment({comments: []},addData);//渲染评论-正文
            }
        });   
	}
	
	function ask_topiclR(){  //加载问话题讨论页数据
		$.ajax({
			type : "GET",
			cache:false,
//			url : "../test/json/ask_topic.json",
		url : "http://appapi.people.com.cn/ask/topicdetail?sid=30",
		dataTyp:"json",
		success : function (json) {
			if(typeof(json)=="string"){
				var json = JSON.parse(json).data;
			}else{
				var json = json.data;
			}
			//indexRender.init(json,addData); 
			indexRender.render.askTopic(json,addData); 
		}
	});
		   
		$.ajax({
			type : "GET",
			cache:false,
			url : "../test/json/comment-n.json",
			dataTyp:"json",
			success : function (json) {
				if(typeof(json)=="string"){
					var json = JSON.parse(json).data;
				}else{
					var json = json.data;
				}
				indexRender.renderComment(json,addData);//渲染评论-正文
			}
		});   
	}
	
	function indexR(){ //加载首页页数据
		$.ajax({
			type : "GET",
			cache:false,
			//url:"http://vapi.people.cn/test/xzrb/appapi/content/detail?categoryId=2&articleId=122&sysCode=article&pjCode=xzrbc_10_201705&platform=android&log_debug=true&deviceOs=7.0&clientVersion=1.0.0&deviceModel=HUAWEI-MHA-AL00&udid=864684039732884",
			//url:"http://vapi.cdrb.com.cn/content/detail?categoryId=3&articleId=61&sysCode=article&refresh_type=true",
			//url:"http://vapi.people.cn/cdrb/appapi/gov/detail?articleId=2134810341409792&categoryId=973&sysCode=gov",
			//url:"http://vweb.people.cn/common/api/paper/paperdetail.php?articleId=20170420_5407204492124912170&date=2017-04-20&paperName=cdrb&platform=ios&sysCode=paper.",
			//url:"http://vapi.people.cn/cdrb/appapi/content/detail?categoryId=9&articleId=262&sysCode=article",
			//url: "http://vweb.people.cn/common/api/paper/paperdetail.php?articleId=20170423_2383204321643802844&paperName=cdrb&platform=android&sysCode=paper",
			//url : "../test/json/detail-n0902-paper.json",
			//url : "../test/json/detail-n0521.json",
			url : "../test/json/new_detail.json",
			dataTyp:"json",
			success : function (json) {
				if(typeof(json)=="string"){
					var json = JSON.parse(json).data;
				}else{
					var json = json.data;
				}
				indexRender.render.detail(json,addData); 
				//indexRender.init(json,addData); //渲染正文,若是评论页，则json传{}
				//indexRender.updateNum(addData);//更新赞、帮的数字
			}
		});
    
	    $.ajax({
			type : "GET",
			cache:false,
			//url:"http://vapi.people.cn/cdrb/appapi/comment/commentlist?articleId=29&count=10&sysCode=subject",
			//url : "../test/json/comment-1209.json",
			url:"../test/json/new_getComment.json",
			dataTyp:"json",
			success : function (json) {
				if(typeof(json)=="string"){
					var json = JSON.parse(json).data;
				}else{
					var json = json.data;
				}
				indexRender.renderComment(json,addData);//渲染评论-正文
			}
		});
		   
		// JavaScript Document
		function loadjscssfile(filename,filetype){
			if(filetype == "js"){
				var fileref = document.createElement('script');
				fileref.setAttribute("type","text/javascript");
				fileref.setAttribute("src",filename);
			}else if(filetype == "css"){
			
				var fileref = document.createElement('link');
				fileref.setAttribute("rel","stylesheet");
				fileref.setAttribute("type","text/css");
				fileref.setAttribute("href",filename);
			}
		    if(typeof fileref != "undefined"){
				document.getElementsByTagName("head")[0].appendChild(fileref);
			}
			
		}
		// loadjscssfile("css/index2.css","css");
	}
	
    function commentR(){ //加载评论页数据
		$.ajax({
			type : "GET",
			cache:false,
			//url:"http://vapi.people.cn/cdrb/appapi/comment/commentlist?articleId=29&count=10&sysCode=subject",
			//url : "../test/json/comment-n.json",
			url:"../test/json/new_getComment.json",
			dataTyp:"json",
			success : function (json) {
				if(typeof(json)=="string"){
					var json = JSON.parse(json).data;
				}else{
					var json = json.data;
				}
				//indexRender.init({},addData); //若是评论页，则json传{}
				//indexRender.renderNewComment(json,addData);//渲染最新评论-评论页
				indexRender.render.comment(json,addData);
			}
        });
		   
		$("#test").on("click",function(e){
			$.ajax({
				type : "GET",
				cache:false,
				//url : "../test/json/comment_add.json",
				url:"../test/json/new_getComment.json",
				dataTyp:"json",
				success : function (json) {
					indexRender.renderNewCommentPrependReply(json[0],addData);//盖楼增加显示
				}
			});
		});

		$("#test2").on("click",function(e){
			$.ajax({
				type : "GET",
				cache:false,
				//url : "../test/json/comment_add.json",
				url:"../test/json/new_getComment.json",
				dataTyp:"json",
				success : function (json) {
					indexRender.renderNewCommentPrepend(json[1],addData);//评论增加显示
				}
			});
		});
	}
}
/*调试时结束end*/	


var indexRender = {
prefix: "rmrb", //项目标识
webInOs:0,//1-ios,2-android
showTracks:"",
addData:{},
hasVotes:0,
hasPk:0,
title:"",
articleID:null,
askDetailRelated:[],
pageType:"normal",
bodyWidth:$("#myMode").width(),
detailWidth:Math.round($("#myMode").width()*0.9375*0.9667),
toLoadImg:["src/css/img/icon_weibo.png","src/css/img/icon_weixin.png","src/css/img/icon_firend.png","src/css/img/heart_g.png","src/css/img/heart_g_help.png","src/css/img/icon_help@3x.png","src/css/img/heart.png"],
loadingPage:function(){
	var a = this,
		b = indexRender.toLoadImg,
		c = new ImgLoader(b);
	return c.progress(function(a, b, c) {
	}), c.completed(function() {
	}), c.start(), a
},
render:{
	detail:function(json,addData){
		indexRender.pageType = "normal";
		indexRender.init(json,addData);
		indexRender.rendPageDetail(json,addData); //渲染详情页
	},
	askTopic:function(json,addData){
		indexRender.pageType = "ask_topic";
		indexRender.init(json,addData);
		indexRender.rendPageAskTopic(json,addData); //渲染问话题页
	},
	askDetail:function(json,addData){
		indexRender.pageType = "ask_detail";
		indexRender.init(json,addData);
		indexRender.rendPageAskDetail(json,addData); //渲染问详情页
	},
	comment:function(json,addData){
		indexRender.pageType = "comment";
		indexRender.init(json,addData);
		indexRender.rendPageComment(json,addData); //渲染评论页
	},
	commentTopic:function(json,addData){
	    console.log(addData);
		indexRender.pageType = "commentTopic";
		indexRender.init(json,addData);
		indexRender.rendPageComment(json,addData); //渲染专题评论页
	},
},
init:function(json,addData){
	indexRender.addData = addData;
    indexRender.webInOs = addData.webInOs;
    if(json && json != "") {
    	indexRender.articleID = json.id || json.question_id;
    	indexRender.title = json.title;
    }
	$("body").addClass("body_"+indexRender.pageType);
	$("#content").addClass("font_size_"+addData.fontSize);
    indexRender.domBind.init();
	indexRender.loadingPage(); //加载图片等资源
},
hideLoading:function(){
	//完成初始化
	indexRender.appActions.actionSub("hideLoading");
},
renderFinish:function(){
	//正文完成渲染
	$("#content").removeClass("hidden");
	indexRender.hideLoading();
	indexRender.appActions.actionSub("onRenderFinish");
},
rendPageDetail:function(json,addData){ //渲染详情页
	json = indexRender.rendPageDetailBefore(json,addData);
	if(json.messageType==1 || json.messageType ==2){
		var html = template('pageLybDetail',json);
	}else{
		if(addData.isComContent && addData.isComContent=="true"){
			var html=template('pageDetail',json);
		}else{
			var html=template('pageOrgDetail',json);
		}
	}
	// if(json.sysCode=="gov"){
	// 	var html=template('pageGovDetail',json);
	// }else{
	// 	var html = template('pageDetail', json);
	// }
	//var html = template('pageDetail', json);
	//var html = template('pageLybDetail',json);
    $('#htmlCon').html(html);
	indexRender.rendPageDetailAfter();
},
rendPageDetailBefore:function(json,addData){
	json.isComContent=addData.isComContent;
	json.detailWidth = indexRender.detailWidth;
	json.votes = indexRender.renderSurveyBefore({votesList:json.votes||[]},addData);
	json.votes = indexRender.rendPk({votesList:json.votes},addData);
	json.hasVotes = indexRender.hasVotes;
	json.hasPk= indexRender.hasPk;
	json.keywords = indexRender.rendKeyWords(json.keywords);
	json = indexRender.renderOrg(json,addData);
	json = indexRender.renderShare(json,addData);
	json.web_view = indexRender.renderAdBanner(json);
	json.isWifi=addData.isWifi;
	return json;	
},
rendPageDetailAfter:function(){
	indexRender.domBind.resetImg();//正文页图片处理
	indexRender.renderFinish();
	indexRender.barAnimate($('#htmlSurvey,#vsHtml'));
},
rendPageAskTopic:function(json,addData){ //渲染问话题页
	//修正头图高度
	var docEl = document.documentElement || document.body;
	var picRadio = {width: 640, height: 260};
	var picHeight = 130;
	if(indexRender.webInOs == 2) {
		var screenW = window.screen.width || 320;
		if(screenW > 540) {
			if(window.devicePixelRatio) {
				screenW = screenW / window.devicePixelRatio;
			}
			else {
				screenW = docEl.clientWidth;
			}	
		}
		picHeight = screenW*picRadio.height/picRadio.width;
	}
	json.subject['picHeight'] = picHeight;
	var questions = json.question;
	var ask_praised = addData.ask_praised ? addData.ask_praised.split(",") : [];
	if(questions && questions.length > 0) {
		for(var i = 0; i < questions.length; i++) {
			var id = String(questions[i].question_id);
			var praised = $.inArray(id, ask_praised) == -1 ? false : true;
			questions[i]['praised'] = praised;
		}
	}
	json.paraisArticle = addData.paraisArticle;
	var html = template('pageAskTopic', json);
    $('#htmlCon').html(html);
	//正文半屏显示
	var $detail = $("#detail");
	var clientH = docEl.clientHeight;
	var detailH = $detail.height();
	var tempH = 0, showH = clientH/2, collapse = false;
	if(detailH > showH) {
		var $p = $detail.find("p");
		$p.each(function(pindex) {
			tempH += $(this).height();
			if(tempH > showH && pindex != 0) {
				$(this).addClass("none");
			}
		});
		if($p.length > 1) {
			$("#btn_detail_more").css("display", "block");
		}
	}
	indexRender.renderFinish();//渲染完毕
},
rendPageAskDetail:function(json,addData){ //渲染问详情页
	json.related_questions = indexRender.askDetailRelated;
	//未审核时不能分享
	json = indexRender.renderShare(json,addData);
	var html = template('pageAskDetail', json);
    $('#htmlCon').html(html);
	indexRender.renderFinish();//渲染完毕
},
renderAskDetailRelated: function(json) { //渲染问详情页相关问题
	if($("#related_ask").length <1){
		indexRender.askDetailRelated = json;
	}else{
		setTimeout(function(){
			var html = template('tmpAskDetail_related', {"related_questions": json});
			$("#related_ask").html(html);
		},0);
	}
},
rendPageComment:function(json,addData){
    indexRender.renderComment(json,addData); 
	indexRender.renderFinish();//渲染完毕
},
renderComment:function(json,addData){  //渲染评论
	indexRender.renderCommentAll(json,addData,"tmpComments","htmlComments");
},
renderNewCommentAppend:function(json,addData){ //追加更多评论
    indexRender.renderCommentAll(json,addData,"tmpCommentsList","htmlComments","append");
},
renderNewCommentPrepend:function(json,addData){ //即时显示新发布的评论
	if (!json.time|| json.time==0 || json.time ==null){
		json.time="";
	};
	if($("#htmlComments .comment_box > ul").length > 0) {
		indexRender.renderCommentAll({json:json},addData,"tmpCommentsList","htmlComments","prepend");
	}
    else {
    	indexRender.renderCommentAll({comments:[json]},addData,"tmpComments","htmlComments","nojson");
    	//indexRender.renderCommentAll({json:json},addData,"tmpComments","htmlComments");
    }
},
renderNewCommentPrependReply:function(json,addData){ //即时显示回复的评论
   indexRender.renderCommentAll({commentItem:json},addData,"tmpCommentsListReply","htmlComments","prependReply");
},
renderCommentAll:function(json,addData,tmpId,htmlId,addType){
	if(addType && addType=="prependReply"){
		if(json.commentItem.replies){
			var li = $('#'+htmlId+" .comment_box > ul > [data-id='"+json.commentItem.id +"']");
			var floor_index = li.find(".reply_item").length;
			$.each(json.commentItem.replies,function(index){
				json.commentItem.replies[index].floor = floor_index + index+1 + '楼';
			});
			var reply_con =li.find(".reply_con");
			if(reply_con.length >0){
				var html = template(tmpId, json);
				reply_con.find(".reply_item:last").after(html);
			}else{
				var html = template('tmpCommentsListReplyWarp', json);
				li.find(".comment_con").append(html);
			}
		}
	}else{
		if(json){
			json = indexRender.commentisPraised(json,addData.praise);
			 if(addType=="nojson"){
			  	var dataObj = {commentsList:json.comments,pageType:indexRender.pageType,ask_status:addData.ask_status,isComContent:addData.isComContent};
			  }
			  else{
				var dataObj = {commentsList:json,pageType:indexRender.pageType,ask_status:addData.ask_status,isComContent:addData.isComContent};
			}
		}else{
			var dataObj = {commentsList:{},pageType:indexRender.pageType,ask_status:addData.ask_status,isComContent:addData.isComContent};
		}
		console.log(dataObj)
		var html = template(tmpId, dataObj);
		if(addType && addType=="append"){
			$('#'+htmlId+" .comment_box > ul").append(html);
		}else if(addType && addType=="prepend"){
			$('#'+htmlId+" .comment_box > ul").prepend(html);
		}else{
			$('#'+htmlId).html(html);
		}
	}
	indexRender.resetCommentHeight();
},
resetCommentHeight:function(){
	$(".comment_box .con_text_link_warp").each(function(){
	  	var thisObj = $(this);
	    var innerH = thisObj.find(".con_text_link").height();
	    var outerH = thisObj.height();
	    if(innerH !== 0 && (innerH - outerH > (outerH/3-1))){
	  		thisObj.parent().addClass("comment_closeing");
	    }else{
	    	thisObj.parent().removeClass("comment_closeing");
	    }
	   });
},
commentisPraised:function(dataList,idStr){
    if(idStr && idStr!="" && idStr!=null){
        for(var i=0;i<dataList.length;i++){
            var isPraised = false;
            var id = dataList[i].id;
            var strsArray= new Array();
            strsArray=idStr.split(",");
            if($.inArray(String(id),strsArray) > -1){
                isPraised = true;
            };
            dataList[i].isPraised = isPraised;
			if(isPraised){
				var likes = parseInt(dataList[i].likes);
				if(likes+"" == "NaN" || likes+"" == "0") {
					likes = 1;
				}
				dataList[i].likes = likes;
			}
        }
    }
    return dataList;
},
pvreData:function(votesList){
    var options_obj_array = votesList.options;
    var allVoteNum = 0;
    for( var j=0;j<options_obj_array.length;j++){
		if(options_obj_array[j].hits=="" || options_obj_array[j].hits==null){
			options_obj_array[j].hits=0;
		}
        allVoteNum += parseInt(options_obj_array[j].hits);
    }
    for( var k=0;k<options_obj_array.length;k++){
        var preo_val = 0;
        if(allVoteNum >0){
			if(options_obj_array[k].hits=="" || options_obj_array[k].hits==null){
			options_obj_array[k].hits=0;
		}
            preo_val = Math.round((parseFloat(options_obj_array[k].hits) / allVoteNum )*100);
        }
        votesList.options[k].preo_val = preo_val;
    }
    return votesList;
},
renderSurveyBefore:function(data,addData){
	for(var i=0;i<data.votesList.length;i++){
		 var options = data.votesList[i].options;
		 for(var j = 0 ; j < options.length ; j++){
		 	var str="A",code,str2;
	        code=str.charCodeAt();
	        options[j].str2=String.fromCharCode(code+j);
		}
	}
    var idStr = addData.survey_id;
    var nowDate = Math.round(new Date().getTime());
    var normalType = 0;
    var strsArray= new Array();
    var selectArray=new Array();//已选中状态
    if(typeof(idStr)=="string"){
        var strsArrayT=idStr.split(";");
        $.each(strsArrayT,function(i,item){
               var array=item.split("|");
               if(array[0] && array[1]){
               		strsArray.push(item.split("|")[0]);
               		selectArray.push(array[1].split("##"));
               }
        });
    }
	if(isDataTrue(data.votesList)){
	    for(var i=0;i<data.votesList.length;i++){
			var date = 0;
			if(data.votesList[i].date!=null && data.votesList[i].date!=""){
	       		date = parseInt(data.votesList[i].date);
			}
			if(data.votesList[i].isShowResult==true || data.votesList[i].isShowResult ==null || data.votesList[i].isShowResult =='true'){
				data.votesList[i].isShowResult==true
			}else if(data.votesList[i].isShowResult==false || data.votesList[i].isShowResult=='false'){
				data.votesList[i].isShowResult==false
			}
	   		var isPolled = false;
	        if(strsArray.length > 0){
	            if(typeof(idStr)=="string"){
	                var votes_id = data.votesList[i].id;
	                var index=$.inArray(String(votes_id),strsArray);
	                if(index > -1){
	                    isPolled = true;
	                    var options = data.votesList[i].options;
	                    for(var j = 0 ; j < options.length ; j++){
	                    	var arr = selectArray[index];
	                    	var optionsId = options[j].id + "";
	                    	if( $.inArray(optionsId,arr) > -1 ){
	                    		options[j].selected = true;
	                    	}
	                    }
	                };
	            }else{
	                if(idStr == true){
	                    isPolled = true;
	                }
	            }
	        }
	   		data.votesList[i].isPolled = isPolled;
	        if(!data.votesList[i].id || data.votesList[i].id==null || data.votesList[i].id=="" || data.votesList[i].id=="null" ){
	            data.votesList[i].id = i;
	        }
	        if((nowDate <= date || date == 0) && !isPolled){
	            data.votesList[i].date = 'true';
	        }else{
	            data.votesList[i].date = 'false';
	            if(nowDate <= date || date == 0){
	        		data.votesList[i].isShowEnd= true
	        	}else{
	        		data.votesList[i].isShowEnd= false;
	        	}
	        }
	    	data.votesList[i] = indexRender.pvreData(data.votesList[i]);
			// var survey_style = data.votesList[i].survey_style;
	  //       if( survey_style!= "3" && survey_style!= "0"){
	  //           normalType++;
	  //       }
		  if(data.votesList[i].options.length>2){
		   		normalType++;
		    }
	    }
	   
	}
    if(normalType > 0){
		indexRender.hasVotes = 1;
		indexRender.domBind.bindsurvey(data);
    }
	return data.votesList;
},
rendReslut:function(data){
    indexRender.pvreData(data);
    var htmlResult = template('tmpSurveyResult', {votesItem:data});
	var surveyItemObj = $("#votesItem_"+data.id);
    surveyItemObj.html(htmlResult);
	indexRender.barAnimate(surveyItemObj);
},
rendPk:function(data,addData){
	if(isDataTrue(data.votesList)){
    for(i=0;i<data.votesList.length;i++){
        if(data.votesList[i].survey_style == "3"){
            data.votesList[i] = indexRender.pvreData(data.votesList[i]);
            var strsArrayT = [];
            if(addData.survey_id && addData.survey_id!=""){
                strsArrayT = addData.survey_id.split(";");
            }
			var id = data.votesList[i].id;
            $.each(strsArrayT,function(j,item){
                   var strsArray = item.split("|");
                   if(strsArray.length > 1 && (id == strsArray[0])){
                   data.votesList[i].vs_ed = true;
                   $.each(data.votesList[i].options,function(index,item2){
                          if(item2.options_id == strsArray[1].split("##")[0]){
                          item2.selected = true;
                          }
                          });
                   }
                   });
				   
			indexRender.hasPk= 1;
            indexRender.domBind.bindPk(data.votesList[i]);
			return data.votesList;
            break;
        }
    }
	}
	return data.votesList;
},
barAnimate:function(obj){
	var items = obj.find("[data-style]");
	setTimeout(function(){
	items.each(function(){
		var style = $(this).attr("data-style");
		$(this).attr("style",style);
	});
	},100);
},
rendKeyWords:function(data){
	if(isDataTrue(data) && data!==""){
    data = data.split(",");
     if(data.length >0){
		return data;
    }else{
		return [];
	}
	}
},
renderOrg:function(data,addData){
if(isDataTrue(data.orgName)){
    if(data.orgName!="" && data.orgId!="" && data.orgName!=null && data.orgId!= null && !addData.isFromInstitutionDetail){
        data.isSubscribed = addData.isSubscribed;
		data.subscribedFlag = 1;
		return data;
    }
}
	data.subscribedFlag = 0;
	return data;
},
renderShare:function(data,addData){
	data.pageType = indexRender.pageType;
	if(data.likes==0||data.likes){
		data.likes=data.likes+"";
	}
	if(data.likes_count ==0 ||data.likes_count){
		data.likes=data.likes_count+"";
	}
	//data.likes =data.likes_count|| data.likes;	
    data.paraisArticle = addData.paraisArticle;
	var a=0;
	(data.likes < addData.praise_num) ? a=addData.praise_num : a=data.likes;
	if(a+""==0){
		a="";
	}
	data.likes = a+"";
	return data;
},
renderAdBanner:function(data){
    var data = data.web_view;
	if(isDataTrue(data)){
		var nowTime = Math.round(new Date().getTime()/1000);
		if(data.end_time!="" && data.end_time!=null){
			var end_time = parseInt(data.end_time);
			if(end_time < nowTime){
				return null;
			}
		}
		if(data.start_time!="" && data.start_time!=null){
			var start_time = parseInt(data.start_time);
			
			if(start_time > nowTime){
				return null;
			}
		}
		var showTracks = [];
		var clickTracks = [];
		showTracks = showTracks.join(",");
		clickTracks = clickTracks.join(",");
		var jumpUrl = data.redirect_url,
		jumpUrlType = data.redirect_type;
		$("body").on("click","#htmlAdBanner a",function(e){
							  stopDefault(e);
							  indexRender.appActions.actionSub('sendClkData',[jumpUrlType,jumpUrl,clickTracks]);//点击时候触发
							  });
		indexRender.appActions.actionSub('sendImpData',['']); //显示之后发送广告埋点
		return data;
	}
	return null;
},
updateNum:function(addData){
    if(addData.praise_num && addData.praise_num!=""){
        $("#praiseArticle #praise_num").text(addData.praise_num);
    }
},
updateTopicNum: function(addData) {
	var $el = $("#topic_headerHtml .btn_parse");
	if(addData.praise_num && addData.praise_num!="" && $el.length > 0) {
		$el.attr("data-num", num).text(formatNumber(addData.praise_num));
	}
},
updateTopicRelated: function(askId) {
	var $el = $(".relative_ask_warp .right_t a[data-id='"+askId+"']");
	if($el.length > 0) {
		$el.addClass("praised");
		var num = parseInt($el.attr("data-num")) + 1;
		$el.attr("data-num", num).text(formatNumber(num));
	}
},
domBind:{
	setTime:null,
	init:function(){
	var that = indexRender.appActions;
		//所有#链接取消默认动作
		$("body").on("click tap","a[href='#']",function(e){
			stopDefault( e );
		});
		
		//绑定图片跳转大图
		$("body").on("tap",'#detail_content img',function(e){
			var index = $("#htmlMedias img,#htmlDetail img").index(this);
			that.actionSub('checkBigPic',[index]);
		});
		
		//绑定图片点击加载
		$("body").on("tap",'#detail_content .img_inner_warp',function(e){
			var img_inner_warp = $(this);
			var img = img_inner_warp.find("img");
			if(!img_inner_warp.hasClass("loaded")){
				var id = img.attr("id");
				var url = img.attr("data-original");

				that.actionSub('loadImg',[id,url,1]);//加载图片
			}
		});
		
		//绑定图片点击触发渲染
		$("body").on("click",".img_after",function(){
			var src =  $(this).prev("img").attr("src");
			$(this).prev("img").attr("src",src);
		});
		
		//绑定视频播放
		$("body").on("tap",".poster_warp",function(e){
			if(!$(e.target).hasClass('img_after')){
				var video_src =  $(this).attr("data-vsrc");
				that.actionSub('playVideo',[video_src]);
			}
		});
		//绑定关键词
		$("body").on("tap","#keywords a",function(e){
			var text = $(this).text();
			that.actionSub('searchKeyword',[text]);
		});
		//绑定订阅
		$("body").on("tap","#htmlSubscribe #subscribe_btn",function(e){
			var thisBtn = $(this);
			var id =thisBtn.attr("data-id"),
				name = thisBtn.attr("data-name"),
				logo = thisBtn.attr("data-logo"),
				wap_url = thisBtn.attr("data-wap_url"),
				praise_num = thisBtn.attr("data-praise_num");
			if(!thisBtn.hasClass("subscribed")){
			   thisBtn.addClass("subscribed").find(".t").text("已订");
			   that.actionSub('subscribe',[id,name,logo,wap_url,praise_num]);
		    }
		});
		//绑定订阅细览
		$("body").on("tap","#htmlSubscribe #subscribe_detail",function(e){
			if($(e.target).attr('id')!="subscribe_btn" && !$(e.target).hasClass("t")){
				var thisBtn = $(this),
					id = thisBtn.attr("data-id"),
					name = thisBtn.attr("data-name"),
					url =thisBtn.attr("data-url");
				that.actionSub('enterSubscribe',[id,name,url]);
			}
		});
		
		//绑定分享按钮
		$("body").on("tap",'#htmlShare #share_list a',function(e){
			var type = $(this).attr("data-type");
		    setTimeout(function() {
				that.actionSub('share',[type]);
		    }, 350);
		});
		
		//绑定点赞/帮按钮
		$("body").on("click",'#htmlShare #praiseArticle',function(e){
			var thisBtn = $(this);
			if(!thisBtn.hasClass("loved")){
				var id = indexRender.articleID;
				var praise_num = $("#praise_num").text();
				if (praise_num == undefined || praise_num == null || $.trim(praise_num) === '') {
					praise_num = 0;
				}
				$("#praise_num").text(parseInt(praise_num)+1);
				$("#praiseArticle .show").addClass("none");
				thisBtn.addClass("loved");
				that.actionSub('praiseArticle',[id,1]);
				if(thisBtn.hasClass("icon_love_help")){
				clearTimeout(indexRender.appActions.setTime);
					indexRender.appActions.setTime = setTimeout(function(){
						thisBtn.removeClass("loved");
					},3000);
				}
			}
		});
		
		//绑定相关新闻
		$("body").on("click","#htmlRelat_post a,#outlinkHtml a",function(e){
			var thisBtn = $(this);
		 	var articleId = thisBtn.attr("data-articleId"),
				sysCode = thisBtn.attr("data-sysCode"),
				link = thisBtn.attr("data-link"),
				type = thisBtn.attr("data-type"),
				viewType = thisBtn.attr("data-viewType"),
				listTitle = thisBtn.attr("data-listTitle");
				that.actionSub('relatedNews',[articleId,sysCode,type,viewType,link,listTitle]);
		});
		
		//绑定评论展开事件
		$("body").on("tap",".comment_box .open_all",function(e){
			var thisBtn = $(this);
			$(this).parents(".reply_con").addClass("show_all").one("webkitTransitionEnd", function () {
				thisBtn.hide();
			});//展开全部评论
			//专题评论补代码
			if (indexRender.pageType=='commentTopic'){
			    indexRender.resetCommentHeight();
			}
		});
					 
		
		$("body").on("tap",".toggle_btn_warp a",function(e){
			var thisBtn = $(this);
			if(thisBtn.hasClass("open_text_btn")){
				thisBtn.parent().parent(".comment_closeing").removeClass("comment_closeing").addClass("comment_opening");
				thisBtn.removeClass("open_text_btn").addClass("close_text_btn").find(".t").text("收起");
			}else{
				thisBtn.parent().parent().removeClass("comment_opening").addClass("comment_closeing");
				thisBtn.removeClass("close_text_btn").addClass("open_text_btn").find(".t").text("展开");
			}
		});
		
		//绑定评论点赞
		$("body").on("tap",".comment_box .praise",function(e){
			var thisBtn = $(this);
			if(!thisBtn.hasClass("praised")){
				var num = thisBtn.text();
				num = Number(num);
				var id = thisBtn.attr("data-id");
				thisBtn.text(num+1).addClass("praised");
				that.actionSub('praise',[id,1]);
			}			 
		});
					
		//绑定评论回复
		$("body").on("tap",".comment_box .reply_btn,.comment_box [data-type='main']",function(e){
			var thisBtn = $(this);
			var id = thisBtn.attr("data-id");
			if(!id || id==""){
				return false;
			}
			var tip_block = thisBtn.parents("li").find(".tip_block"),
				tip_block_all = $(".tip_block");
			var tip_block_parent = thisBtn.parents("li");
			if(tip_block.length == 0) {
				return false;
			}
			if(tip_block.hasClass("showit")){
				tip_block.removeClass("showit");
				tip_block_parent.removeClass("showit_li");
			}else{
				if($(e.target).hasClass("reply_btn")){
					tip_block.addClass("noarrow");
				}else{
					tip_block.removeClass("noarrow");
				}
				tip_block_all.removeClass("showit").parents("li").removeClass("showit_li");
				tip_block.addClass("showit");
				tip_block_parent.addClass("showit_li");
				that.actionSub('commentPre');
			}
		});
		$("body").on("tap",function(e){
			var etar = $(e.target);
			if(!(etar.parents(".comment_box").length> 0 && (etar.hasClass("reply_btn") || etar.attr("data-type")=="main"))){
				$(".tip_block").removeClass("showit");
				$(".comment_box > ul > li").removeClass("showit_li");
			}
		});
		$("body").on("tap",".tip_block .btn_comment,.comment_box [data-type='reply']",function(e){
			var commentArray = [];
			var thisBtn = $(this);
			var id = thisBtn.attr("data-id");
			if(!id || id==""){
				return false;
			}
			var userOpenId = thisBtn.attr("data-userOpenId"),
				userSysType = thisBtn.attr("data-userSysType"),
				replyTo = thisBtn.attr("data-replyTo");
				//floor = "";
			// if(thisBtn.attr("data-floor") != void 0){
			// 	floor = thisBtn.attr("data-floor");
			// }
			var  main_id = thisBtn.attr("data-main_id");
			commentArray.push(id+"|"+userOpenId+"|"+ userSysType+"|"+replyTo);
			if(main_id && main_id!=""){
				var main_user_id = thisBtn.attr("data-main_userOpenId");
				commentArray.push(main_id+"|"+main_user_id+"|"+"");
			}else{
				commentArray.push("");
			}
			
			setTimeout(function(){
				that.actionSub('comment',commentArray);
			},350);
			$(".tip_block").removeClass("showit");
		});
		$("body").on("tap",".tip_block .btn_share",function(){
			var thisBtn = $(this);
			var share_url = thisBtn.attr("data-share_url"),
			text = thisBtn.parents(".con_text_link_warp").find(".con_text_link").text();
			if(!indexRender.articleID || indexRender.articleID==undefined){
				indexRender.articleID="";
			}
			if(!indexRender.title || indexRender.articleID==undefined){
				indexRender.title="";
			}
			that.actionSub('shareComment',[indexRender.articleID,indexRender.title,share_url,text]);
		});
		
		$("body").on("tap","#voiceRead",function(){
			indexRender.appActions.actionSub('voiceRead');
		});
		
		//问话题讨论页，展开更多正文
		$("body").on("click","#btn_detail_more",function(e){
			stopDefault( e );
			$("#detail .none").show();
			$(this).hide();
		});

		//问话题讨论页 顶
		$("body").on("click", ".relative_ask .ding, #topic_headerHtml .btn_parse", function(e) {
			if(!$(this).hasClass("praised")) {
				var id = $(this).attr("data-id");
				var num = $(this).attr("data-num");
				if(parseInt(num)+"" == "NaN") {
					num = 1;
				}
				else {
					num = parseInt(num) + 1;
				}
				$(this).attr("data-num", num).text(formatNumber(num)).addClass("praised");
				if($(this).hasClass("btn_parse")) {
					that.actionSub('askTopicPraise',[id]);
				}
				else if($(this).hasClass("ding")) {
					that.actionSub('askPraise',[id, (num - 1)]);
				}
			}
		});

		//问话题讨论页 关注
		$("body").on("click", ".relative_ask .fav", function(e) {
			if(!$(this).hasClass("focused")) {
				var id = $(this).attr("data-id");
				$(this).addClass("focused");
				that.actionSub('askFocus',[id]);
			}
		});

		//问相关问题
		$("body").on("click", "#related_ask a, #ask_topicHtml .relative_ask .text", function() {
			var $btn = $(this);
			if(!$btn.hasClass("clicked")) {
				$btn.addClass("clicked");
				var id = $btn.attr("data-id"), title = $btn.attr("data-title");
				that.actionSub('relatedAsk',[id,title]);
				setTimeout(function() {
					$btn.removeClass("clicked");
				}, 350);

			}
			
		});

		//问话题讨论页 评
		$("body").on("click", "#ask_topicHtml .relative_ask .comment", function() {
			var $btn = $(this);
			if(!$btn.hasClass("clicked")) {
				$btn.addClass("clicked");
				var id = $btn.attr("data-id"), title = $btn.attr("data-title");
				that.actionSub('askComment',[id,title]);
				setTimeout(function() {
					$btn.removeClass("clicked");
				}, 350);
			}
			
		});

	},
    bindsurvey:function(data){
		//小调查交互
		$("body").on("click","#htmlSurvey li input",function(){
			//对应投票按钮更改背景
			var votesId=$(this).attr("data-votes_id");
			$(".survey_block #sub_btn_"+votesId).css("background","#ffaf56");

			var isChecked = $(this).attr("checked");
			if(isChecked){
				$(this).parents("li").addClass("on");
				if($(this).attr("type")=="radio"){
					$(this).parents("li").siblings("li").removeClass("on");
				}
			}else{
				$(this).parents("li").removeClass("on");

			}
			//var votesIndex = $(this).attr("data-votesIndex");
			//data.votesList[votesIndex] = indexRender.domBind.addPollCount(data.votesList[votesIndex]);
			
			// if($(this).attr("type")=="radio"){
			// 	indexRender.appActions.actionSub('userSurvey',[data.votesList[votesIndex].survey_id,data.votesList[votesIndex].reslutStr]);
			// 	indexRender.rendReslut(data.votesList[votesIndex]);
			// }
		});
		$("body").on("click","#htmlSurvey .sub_btn",function(){
			var votesIndex = $(this).attr("data-votesIndex");
			data.votesList[votesIndex] = indexRender.domBind.addPollCount(data.votesList[votesIndex]);
			if(data.votesList[votesIndex].reslutStr==""){
				return false;
			}
				indexRender.appActions.actionSub('userSurvey',[data.votesList[votesIndex].id,data.votesList[votesIndex].reslutStr]);
				indexRender.rendReslut(data.votesList[votesIndex]);
		});
									
	},
	addPollCount:function(data){
		var inputs = $("#votesItem_"+data.id+" li.on input");
		var str="";
		if(inputs.length > 0){
			var strArray = [];
			inputs.each(function(){
				var optionsIndex = $(this).attr("data-optionsIndex");
				var hits = parseInt(data.options[optionsIndex].hits);
				data.options[optionsIndex].hits = hits+1;
				var options_id = $(this).attr("data-options_id");
				strArray.push(options_id);
				});
			str = strArray.join("##");

		}
		data.reslutStr = str;
		//console.log(data)
		return data;
	},
	bindPk:function(data){
		//pk交互
		$("body").on("click","#vsHtml .hand_btn",function(){
		  var vs_block = $("#vs_block");
				  if(vs_block.hasClass("vs_ed")){
				 	 indexRender.appActions.actionSub('showToast',["您已经投过票了"]);
				  }else{
					    $(this).addClass("on");
					    vs_block.addClass("vs_ed");
				 	    var input = $(this).find("input");
				 	    var index = input.attr("data-optionsIndex");
				  $("#vsHtml").find("[data-style]").each(function(i){
					var style = $(this).attr("style");
					data.options[i].style = style;
				  });
				  var hits = parseInt(input.attr("data-hits"));
				  data.options[index].hits = hits+1;
				  data.vs_ed = true;
				  data.options[index].selected = true;
				  data = indexRender.pvreData(data);
				  
					  var html = template('tmpVs',{survey:[data],hasPk:1});
					  var vsHtmlObj = $("#vsHtml");
					  vsHtmlObj.html(html);
					  indexRender.barAnimate(vsHtmlObj);
					  indexRender.appActions.actionSub('userSurvey',[data.id,data.options[index].options_id]);
				  }
				  });
	},
	resetImg:function(){
	$("#htmlDetail p").css({"font-size":"auto"});
	$("#htmlDetail img").each(function(index){
		var thisImg = $(this);
		var real_width = thisImg.attr("width");
		if(!(real_width === void 0) && real_width < 2){
		    real_width =  indexRender.detailWidth;
		}
		if(!(real_width === void 0) && real_width < indexRender.detailWidth/2){
			thisImg.css({"width":real_width+'px',"height":"auto","border":"0","display":"inline","margin-bottom":"0"}).attr("data-minimg","1");;
		}else{
			thisImg.css({"width":"100%","height":"auto"});
			if(!(thisImg.attr("height")=== void 0) && thisImg.attr("height")!="" && !(thisImg.attr("width")=== void 0) && thisImg.attr("width")!=""){
				var heightO = thisImg.attr("height"),
					 widthO = thisImg.attr("width");
				var heightN = heightO * indexRender.detailWidth/widthO;
				thisImg.attr("height",heightN).css("height",heightN);
			}
		}
	});
	//绑定图片延迟加载
		var imglaodIndex = 0;
			$("#detail_content img[data-original]").imglazyload({urlName:"data-original",imgload:function(img){
				var imgurl = img.attr("data-original");
				var id = "imgindex_"+imglaodIndex;
				img.attr("id",id);
				imglaodIndex++;
				var isMustLoad = 0;
				if(img.attr("data-minimg")=="1"){
				    isMustLoad = 1;
				}
				indexRender.appActions.actionSub('loadImg',[id,imgurl,isMustLoad]);
				return true;
			
			}}).on('loadcomplete',function(){
				$(this).css("height",'auto');
			}).on('error', function (e) {
			   e.preventDefault();//该图片不再加载
			});	
	}
},
appActions:{
	rendImg: function(id,urlN,isOk){
		function errorSet($img){ //出错情况下处理
			if($img.parents('.video_warp').length <1 && !$img.attr("data-minimg")){
					if($img.parents('.img_inner_warp').length <1){
						$img.wrap("<span class='img_inner_warp loaderror'></span>");
					}
					$img.off('error').parent(".img_inner_warp").addClass("loaderror");
				}
		}
		var $img = $("#"+id);
		if(isOk && isOk=="1"){ //下载正常
		$img.on('load',function () {
				$img.css("height",'auto').off('load').parent(".img_inner_warp").addClass("loaded");
            }).on('error',function () {     //图片加载失败处理
                var errorEvent = $.Event('error');       //派生错误处理的事件
                $img.trigger(errorEvent);
                errorEvent.defaultPrevented;
				errorSet($img);
            }).attr('src', urlN).parent(".img_inner_warp").addClass("loading");
		}else if(isOk=="2"){  //下载出错
			errorSet($img);
		}else{  //不下载
			if($img.parents('.video_warp').length <1 && $img.parent(".img_inner_warp").length < 1){
				$img.wrap("<span class='img_inner_warp'></span>");
			}
		}
	},
	setFontSize:function(size){
		//设置正文字号
		var content_class = "content";
		$("#content").attr("class",content_class+" font_size_"+size);
	},
	orgStatus:function(isSubscribed){
		//重置订阅状态
		if(!isSubscribed || isSubscribed=="false"){
			$("#subscribe_btn").removeClass("subscribed").find(".t").text("订阅");
		}else{
			$("#subscribe_btn").addClass("subscribed").find(".t").text("已订");
		}
	},
	commentTip:function(isShow){
		if(!isShow || isShow==0){
			$("#comment_tip").hide();
		}else{
			$("#comment_tip").show();
		}
	},
	getNewConmentId:function(){ //获取最后的一个评论的id
		var id = $("#htmlComments .comment_box > ul > li").last().attr("data-id");
		indexRender.appActions.actionSub('loadMore',[id]);
	},
	iosSub:function(action,strArray){
		function unicode(str){
			var value='';
			for (var i = 0; i < str.length; i++)
				value += '\\u' + parseInt(str.charCodeAt(i)).toString(16);
			return value;
		}
		var str="";
		if(strArray && strArray!=[]){
			for(var i=0;i<strArray.length;i++){
				strArray[i] = unicode(strArray[i].toString());
			}
			var str = ','+strArray.join(",");
		}
		var iframeobj = $("<iframe src="+'objc://'+ escape(action+str)+" style='display:none' width=0 height=0 ></iframe>");
		$("body").append(iframeobj);
	},
	actionSub:function(action,strArray){ 
		if(indexRender.webInOs==1 && action!="hideLoading" && action!="onRenderFinish"){
			indexRender.appActions.iosSub(action,strArray);
		}else if(indexRender.webInOs==2){
			var fnTmpstr="";
			if(strArray && strArray!=[]){
				for(var i=0;i<strArray.length;i++){
					strArray[i] = '"'+strArray[i].toString()+'"';
				}
				var fnTmpstr = strArray.join(",");
			}
			if(action in jsObj){
			var fnStr = 'jsObj.'+action+'('+fnTmpstr+')';
			eval(fnStr);
			}
		}
	}
}
}